## org.hibernate
Class AssertionFailure

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.AssertionFailure

All Implemented Interfaces:
  Serializable

    public class AssertionFailure

extends RuntimeException

Indicates failure of an assertion: a possible bug in Hibernate.

See Also:
  Serialized Form

Constructor Summary
`AssertionFailure(String s)`
`AssertionFailure(String s, Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionFailure

    public AssertionFailure(String s)

### AssertionFailure

    public AssertionFailure(String s,
                            Throwable t)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.